GLOBAL.STRINGS.NAMES.YSHANKA = "Ушанка"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.YSHANKA = "Маловата будет"
PrefabFiles = {
	"mygik",
	"yshanka",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/mygik.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/mygik.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/mygik.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mygik.xml" ),
	
    Asset( "IMAGE", "images/selectscreen_portraits/mygik_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/mygik_silho.xml" ),

    Asset( "IMAGE", "bigportraits/mygik.tex" ),
    Asset( "ATLAS", "bigportraits/mygik.xml" ),
	
	Asset( "IMAGE", "images/map_icons/mygik.tex" ),
	Asset( "ATLAS", "images/map_icons/mygik.xml" ),
	
	Asset("SOUNDPACKAGE", "sound/music_mod.fev"),
    Asset("SOUND", "sound/music_mod.fsb"),
	
	
	Asset("ATLAS", "images/sneg.xml"),
    Asset("IMAGE", "images/sneg.tex"),
	
	Asset("ATLAS", "images/up_new.xml"),
    Asset("IMAGE", "images/up_new.tex"),
	
	Asset( "ANIM", "anim/hat_winter.zip" ),
	

}

local Vector3 = GLOBAL.Vector3
local GetSeasonManager = GLOBAL.GetSeasonManager
local SEASONS = GLOBAL.SEASONS
local GetWorld = GLOBAL.GetWorld

local GetClock = GLOBAL.GetClock

local require = GLOBAL.require

local continuous_mode = true
local rogEnabled = GLOBAL.IsDLCEnabled(GLOBAL.REIGN_OF_GIANTS)

-- The character select screen lines
GLOBAL.STRINGS.CHARACTER_TITLES.mygik = "Орел-мужчина"
GLOBAL.STRINGS.CHARACTER_NAMES.mygik = "Esc"
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.mygik = "*То что не укладывается в голове кладет в шапку\n*Не выговаривает некоторые буквы и цифры"
GLOBAL.STRINGS.CHARACTER_QUOTES.mygik = "\"Вы кто такие? Я вас не звал!\""


-- Custom speech strings
GLOBAL.STRINGS.CHARACTERS.MYGIK = require "speech_mygik"

-- Let the game know character is male, female, or robot
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "mygik")


AddMinimapAtlas("images/map_icons/mygik.xml")
AddModCharacter("mygik")
RemapSoundEvent( "dontstarve/music/music_FE", "music_mod/music/music_FE" )



local function OnUpdate(self)
    if self.timetonewanim then
    	self.timetonewanim = math.huge
    end
end	

--AddClassPostConstruct("screens/mainscreen", OnUpdate)
local function DoInit(self)


	--local Image = require "widgets/image"


	self.bg:SetTexture("images/up_new.xml", "ps4_mainmenu.tex")
	self.bg:SetTint(184/255,87/255,198/255, 1)
    self.bg:SetVRegPoint(GLOBAL.ANCHOR_MIDDLE)
    self.bg:SetHRegPoint(GLOBAL.ANCHOR_MIDDLE)
    self.bg:SetVAnchor(GLOBAL.ANCHOR_MIDDLE)
    self.bg:SetHAnchor(GLOBAL.ANCHOR_MIDDLE)	
	self.bg:SetScaleMode(GLOBAL.SCALEMODE_FILLSCREEN)
	
	--We can change the shield image here.
    self.shield:SetTexture("images/sneg.xml", "sneg_shield_DLC.tex")
	--self.shield:SetTexture("images/uppanels.xml", "panel_shield.tex")
    self.shield:SetVRegPoint(GLOBAL.ANCHOR_MIDDLE)
    self.shield:SetHRegPoint(GLOBAL.ANCHOR_MIDDLE)
	

	self.updatename:SetString("Маловата будет!")

	
    --Here we wrap everything up.
	self:MainMenu()
	self.menu:SetFocus()
end
--AddClassPostConstruct("screens/mainscreen", DoInit)

local slotpos = {}

for y = 0, 3 do
	table.insert(slotpos, Vector3(-162, -y*75 + 114 ,0))
	table.insert(slotpos, Vector3(-162 +75, -y*75 + 114 ,0))
end

local function winterinit(inst)
		inst:AddComponent("container")
		inst.components.container:SetNumSlots(#slotpos)
		inst.components.container.widgetslotpos = slotpos
		inst.components.container.widgetanimbank = "ui_backpack_2x4"
		inst.components.container.widgetanimbuild = "ui_backpack_2x4"
		inst.components.container.widgetpos = Vector3(-5,-50,0)
		inst.components.container.side_widget = true
		inst.components.container.type = "pack"
		
		--inst.AnimState:SetBuild("mywinter_hat")
end
AddPrefabPostInit("yshanka", winterinit)


